@import "./lib/styles/main";

.kislov-select--wrapper {
  position: relative;
  width: 100%;
  padding: 5px 8px;
  margin: 5px 0;

  .kislov-select {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    padding: 10px 15px;
    border-radius: 10px;
    background: $white;
    border: 1px solid $red-basic;
    color: $red-basic;
    transition: all 0.25s ease-in-out;

    &--label {
      flex: 1;
      transition: all 0.25s ease-in-out;

      &.touched {
        position: absolute;
        top: -10px;
        font-size: $font-x-small-size;
        font-weight: 700;
        background: $white;
        padding: 0 3px;
      }
    }

    &--current {
      flex: 1;
    }

    &:hover {
      border-color: $red-dark;
      color: $red-dark;
    }

    &.disabled {
      border-color: $red-disabled;
      color: $red-disabled;
    }

    &.medium {
      line-height: $font-x-large-size;
      padding: 5px 10px;
      font-size: $font-small-size;

      .kislov-select--label {
        left: 15px;
        font-size: $font-small-size;

        &.touched {
            top: -13px;
            font-size: $font-x-small-size;
        }
      }
    }

    &.small {
      line-height: $font-medium-size;
      padding: 5px 10px;
      font-size: $font-small-size;

      .kislov-select--label {
        left: 15px;
        font-size: $font-x-small-size;

        &.touched {
          top: -10px;
          font-size: $font-x-small-size;
        }
      }
    }
  }
}